%% funkce pro načítání souborů
function [eeg_signal,lux,time,nazev_souboru] = nacitani_souboru()
% funkce nacitani_souboru vrátí eeg_signal, signál luxmetru, casovou osu -time a název zvoleného souboru 

[filename, foldername] = uigetfile('*.mat', 'Select a mat file');
fullname = fullfile(foldername, filename);
temp = load(fullname);
fn = fieldnames(temp);
x1 = temp.(fn{1});

lux=x1(1:end,6);        % záznam luxmetru je v 6. řádku proměnné x1
signal=x1(1:end,7);   % záznam eeg je v 7. řádku signálu
eeg_signal=(((((signal/2^10)-0.5)*3.3)/40000)*0.1);

Fs = 1000;            % vzorkovací frekvence                    
 T = 1/Fs;            % vzorkovací perioda       
 L = length(lux);     % délka signálu
 t = (0:L-1)*T;
 
time = (1/Fs:1/Fs:(1/Fs*L)); 
nazev_souboru=fn;
end


